﻿:root {
    --darkest-grey: #343E46;
    --massage-green: #B8D149;
    --dark-grey: #586A77;
    --dark-grey-30: rgba(88, 106, 119, 0.3);
    --darkest-grey-85: rgba(52, 62, 70, 0.85);
    --darkest-grey-80: rgba(52, 62, 70, 0.8);
    --light-grey: #E6E5E5;
    --light-grey-50: rgba(230,229,229,0.5);
    --dark-grey-20: rgba(88,106,119,0.2);
    --mid-tone-grey: #798893;
    --massage-green-20: rgba(184, 209, 73, 0.2);
}

/* MainContent */

.mainContentSection h2:has(+ h6) {
    margin-bottom: 10px !important;
}

.mainContentSection h6 {
    font-size: 20px;
    line-height: 25px;
    font-weight: 500;
    color: var(--mid-tone-grey);
    margin-bottom: 30px;
}

.mainContentSection ul {
    margin-bottom: 30px;
}

.mainContentSection p.small {
    color: var(--mid-tone-grey);
    font-size: 15px;
    line-height: 22px;
}

/***********************/
/* Location Collage */
/***********************/

section.town-collage-wrapper .titleBlock {
    background: var(--massage-green);
    border-radius: 25px 0px 0px 0px;
    height: 100%;
    padding: 0px 25px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

section.town-collage-wrapper .last-location img {
    border-radius: 0px 0px 25px 0px;
}

section.town-collage-wrapper .container .row {
    display: flex;
    flex-wrap: wrap;
}

section.town-collage-wrapper .container .row > div {
    margin-bottom: 15px;
    padding: 0px;
    padding-left: 7.5px;
    padding-right: 7.5px;
}

@media (min-width: 992px) {
    section.town-collage-wrapper .container .row > div {
        aspect-ratio: 3 / 1;
    }
}

section.town-collage-wrapper .container .row > div:nth-last-of-type(-n+3) {
    margin-bottom: 0px;
}

section.town-collage-wrapper .container .row > div:nth-of-type(3n + 1) {
    padding-left: 15px;
}

section.town-collage-wrapper .container .row > div:nth-of-type(3n + 1) p.blackTitleWrapper {
    left: 15px;
}

section.town-collage-wrapper .container .row > div:nth-of-type(3n) {
    padding-right: 15px;
}

p.blackTitleWrapper {
    position: absolute;
    bottom: 0;
    left: 7px;
    margin-bottom: 0px;
    color: white;
    background: var(--darkest-grey);
    padding: 5px 30px 3px;
    border-radius: 0px 20px 0px 0px;
    font-size: 20px;
}

.collageImgWrapper img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: center;
}

.collageImgWrapper  {
    height: 100%;
}

section.town-collage-wrapper .titleBlock h2 {
    font-size: 29px;
    font-weight: 700;
    line-height: 35px;
    margin-bottom: 5px;
    z-index: 5;
}

section.town-collage-wrapper .titleBlock h3 {
    font-size: 22px;
    font-weight: 600;
    line-height: 27px;
    margin-bottom: 0px;
    z-index: 5;
}

img.map-background {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    padding-left: 15px;
    padding-right: 7.5px;
}

/***********************/
/* Grey Bottom Callout */
/***********************/

section.grey-callout-wrapper .grey-bg {
    background: var(--light-grey-50);
    margin-bottom: 80px;
    border-radius: 0px 50px 0px 50px;
    padding: 45px;
}

section.grey-callout-wrapper .grey-bg .img-wrapper {
    height: unset;
    aspect-ratio: 358 / 185;
    width: 100%;
    border-radius: 0px 25px 0px 25px;
    overflow: hidden;
}

section.grey-callout-wrapper .grey-bg .img-wrapper img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: top;
}

section.grey-callout-wrapper .grey-bg .bottom-row {
    margin-top: 30px;
}

section.grey-callout-wrapper .ul-two-col ul {
    columns: 2;
    -webkit-columns: 2;
    -moz-columns: 2;
}

.col-sm-4.modal-btn:hover {
    cursor: pointer;
}

@media (min-width: 1200px) and (max-width: 1366px) {

    /***********************/
    /* Location Collage */
    /***********************/

    /***********************/
    /* Grey Bottom Callout */
    /***********************/
}

@media (min-width: 992px) and (max-width: 1199px) {

    /***********************/
    /* Location Collage */
    /***********************/

    section.town-collage-wrapper .titleBlock h2 {
        font-size: 25px;
        line-height: 31px;
    }

    section.town-collage-wrapper .titleBlock h3 {
        font-size: 18px;
        line-height: 21px;
    }

    p.blackTitleWrapper {
        padding: 5px 18px 3px;
        font-size: 18px;
    }

    /***********************/
    /* Grey Bottom Callout */
    /***********************/

    section.grey-callout-wrapper .col-md-offset-1 {
        margin-left: 3.333333%;
    }

    section.grey-callout-wrapper .col-md-4 {
        width: 38.333333%;
    }

    section.grey-callout-wrapper p,
    section.grey-callout-wrapper li {
        font-size: 16px !important;
    }

    .main-body-content ul li::before {
        top: 6.5px;
        transform: none!important; 
    }
}

@media (min-width: 768px) and (max-width: 991px) {

    /***********************/
    /* Location Collage */
    /***********************/

    section.town-collage-wrapper .titleBlock h2 {
        font-size: 21px;
        line-height: 27px;
    }

    section.town-collage-wrapper .titleBlock h3 {
        font-size: 16px;
        line-height: 19px;
    }

    p.blackTitleWrapper {
        padding: 5px 15px 3px;
        font-size: 15px;
    }

    /***********************/
    /* Grey Bottom Callout */
    /***********************/

    section.grey-callout-wrapper .mobile {
        display: block;
    }

    section.grey-callout-wrapper .desktop {
        display: none;
    }

    section.grey-callout-wrapper .grey-bg {
        padding: 30px;
        margin-bottom: 60px;
    }

    section.grey-callout-wrapper .row.top-row .img-wrapper {
        margin-bottom: 45px;
    }

    section.grey-callout-wrapper .ul-two-col {
        margin-bottom: 35px;
    }
}

@media (max-width: 767px) {

    /***********************/
    /* Location Collage */
    /***********************/

    section.town-collage-wrapper .titleBlock {
        height: 200px;
        border-radius: 25px 25px 0px 0px;
    }

    section.town-collage-wrapper .container .row {
        display: block;
    }

    section.town-collage-wrapper .container .row > div {
        padding-left: 15px;
        padding-right: 15px;
    }

    p.blackTitleWrapper {
        left: 16px;
    }

    .collageImgWrapper {
        max-height: 170px;
        overflow: hidden;
    }

    section.town-collage-wrapper .container .row > div:nth-last-of-type(-n+3) {
        margin-bottom: 15px;
    }

    section.town-collage-wrapper .container .row > div:nth-last-of-type(1) {
        margin-bottom: 0px;
    }

    /***********************/
    /* Grey Bottom Callout */
    /***********************/

    section.grey-callout-wrapper .grey-bg {
        padding: 30px;
        margin-bottom: 60px;
    }

    section.grey-callout-wrapper .row.top-row .img-wrapper {
        margin-bottom: 45px;
    }

    section.grey-callout-wrapper .ul-two-col ul {
        columns: 1;
        -webkit-columns: 1;
        -moz-columns: 1;
    }

    section.grey-callout-wrapper .ul-two-col {
        margin-bottom: 35px;
    }

}
